Lorene::Base_vect_spher Class Reference
Tensorial fields

Spherical orthonormal vectorial bases (triads). More...

`#include <base_vect.h>`

Inheritance diagram for Lorene::Base_vect_spher:

## Public Member Functions

| Base_vect_spher (double xa0, double ya0, double za0, double rot_phi_i)
| Standard constructor.
| Base_vect_spher (double xa0, double ya0, double za0, double rot_phi_i, const char *name_i)
| Standard constructor with name.
| Base_vect_spher (const Base_vect_spher &)
| Copy constructor.
virtual | ~Base_vect_spher ()
| Destructor.
void | operator= (const Base_vect_spher &)
| Assignment to another `Base_vect_spher`.
void | set_ori (double xa0, double ya0, double za0)
| Sets a new origin.
void | set_rot_phi (double rot_phi_i)
| Sets a new value to the angle `rot_phi` between the x –axis and the absolute frame X –axis.
virtual bool | operator== (const Base_vect &) const
| Comparison operator (egality).
virtual void | change_basis (Tenseur &) const
| Change the basis in which the components of a tensor are expressed.
virtual int | identify () const
| Returns a number to identify the sub-classe of `Base_vect` the object belongs to.
virtual void | sauve (FILE *) const
| Save in a file.
void | set_name (const char *name_i)
| Sets the basis name.
const char * | get_name () const
| Returns the basis name.
bool | operator!= (const Base_vect &) const
| Comparison operator (difference).

## Static Public Member Functions

static Base_vect * | bvect_from_file (FILE *)
| Construction of a vectorial basis from a file (see `sauve(FILE* )` ).

## Protected Member Functions

| Base_vect_spher (FILE *)
| Constructor from a file.
virtual ostream & | operator>> (ostream &) const
| Operator >>.

## Protected Attributes

char | name [100]
| Name of the basis.

## Private Attributes

double | ori_x
| Absolute coordinate X of the origin.
double | ori_y
| Absolute coordinate Y of the origin.
double | ori_z
| Absolute coordinate Z of the origin.
double | rot_phi
| Angle between the x –axis and the absolute frame X –axis.

## Friends

Base_vect * | Base_vect::bvect_from_file (FILE *)
| The construction function from a file.

## Detailed Description

Spherical orthonormal vectorial bases (triads).

()

Definition at line 308 of file base_vect.h.

## Constructor & Destructor Documentation

## Base_vect_spher() [1/4]

Lorene::Base_vect_spher::Base_vect_spher | ( | double | xa0,
|  | double | ya0,
|  | double | za0,
|  | double | rot_phi_i )

Standard constructor.

Definition at line 103 of file base_vect_spher.C.

References ori_x, ori_y, ori_z, and rot_phi.

## Base_vect_spher() [2/4]

Lorene::Base_vect_spher::Base_vect_spher | ( | double | xa0,
|  | double | ya0,
|  | double | za0,
|  | double | rot_phi_i,
|  | const char * | name_i )

Standard constructor with name.

Definition at line 116 of file base_vect_spher.C.

References Lorene::Base_vect::Base_vect(), ori_x, ori_y, ori_z, and rot_phi.

## Base_vect_spher() [3/4]

Lorene::Base_vect_spher::Base_vect_spher | ( | const Base_vect_spher & | bi | ) |

Copy constructor.

Definition at line 126 of file base_vect_spher.C.

References Lorene::Base_vect::Base_vect(), Base_vect_spher(), ori_x, ori_y, ori_z, and rot_phi.

## Base_vect_spher() [4/4]

Lorene::Base_vect_spher::Base_vect_spher | ( | FILE * | fich | ) |

explicit protected

Constructor from a file.

This constructor is protected because any `Base_vect_spher`
construction from a file must be done via the function `Base_vect::bvect_from_file` .

Definition at line 135 of file base_vect_spher.C.

References Lorene::Base_vect::Base_vect(), Lorene::fread_be(), ori_x, ori_y, ori_z, and rot_phi.

## ~Base_vect_spher()

Lorene::Base_vect_spher::~Base_vect_spher | ( |  | ) |

virtual

Destructor.

Definition at line 150 of file base_vect_spher.C.

## Member Function Documentation

## bvect_from_file()

Base_vect * Lorene::Base_vect::bvect_from_file | ( | FILE * | fich | ) |

static inherited

Construction of a vectorial basis from a file (see `sauve(FILE* )` ).

Definition at line 84 of file base_vect_from_file.C.

References Base_vect(), and Lorene::fread_be().

## change_basis()

void Lorene::Base_vect_spher::change_basis | ( | Tenseur & | ti | ) | const

virtual

Change the basis in which the components of a tensor are expressed.

Implements Lorene::Base_vect.

Definition at line 276 of file base_vect_spher.C.

References Lorene::Tenseur::allocate_all(), Lorene::Base_vect::Base_vect(), Base_vect_spher(), Lorene::Tenseur::get_etat(), Lorene::Tenseur::get_mp(), Lorene::Tenseur::get_triad(), Lorene::Tenseur::get_type_indice(), Lorene::Tenseur::get_valence(), Lorene::Map(), Lorene::Tenseur::set(), and Lorene::Tenseur::set_triad().

## get_name()

const char * Lorene::Base_vect::get_name | ( |  | ) | const

inherited

Returns the basis name.

Definition at line 140 of file base_vect.C.

References name.

## identify()

int Lorene::Base_vect_spher::identify | ( |  | ) | const

virtual

Returns a number to identify the sub-classe of `Base_vect` the object belongs to.

Implements Lorene::Base_vect.

Definition at line 76 of file base_vect_from_file.C.

## operator!=()

bool Lorene::Base_vect::operator!= | ( | const Base_vect & | bi | ) | const

inherited

Comparison operator (difference).

Definition at line 174 of file base_vect.C.

References Base_vect().

## operator=()

void Lorene::Base_vect_spher::operator= | ( | const Base_vect_spher & | bi | ) |

Assignment to another `Base_vect_spher`.

Definition at line 162 of file base_vect_spher.C.

References Base_vect_spher(), Lorene::Base_vect::name, ori_x, ori_y, ori_z, rot_phi, and Lorene::Base_vect::set_name().

## operator==()

bool Lorene::Base_vect_spher::operator== | ( | const Base_vect & | bi | ) | const

virtual

Comparison operator (egality).

Implements Lorene::Base_vect.

Definition at line 195 of file base_vect_spher.C.

References Lorene::Base_vect::Base_vect(), Base_vect_spher(), Lorene::Base_vect::identify(), identify(), ori_x, ori_y, ori_z, and rot_phi.

## operator>>()

ostream & Lorene::Base_vect_spher::operator>> | ( | ostream & | ost | ) | const

protected virtual

Operator >>.

Implements Lorene::Base_vect.

Definition at line 257 of file base_vect_spher.C.

References ori_x, ori_y, ori_z, and rot_phi.

## sauve()

void Lorene::Base_vect_spher::sauve | ( | FILE * | fich | ) | const

virtual

Save in a file.

Reimplemented from Lorene::Base_vect.

Definition at line 246 of file base_vect_spher.C.

References Lorene::fwrite_be(), ori_x, ori_y, ori_z, rot_phi, and Lorene::Base_vect::sauve().

## set_name()

void Lorene::Base_vect::set_name | ( | const char * | name_i | ) |

inherited

Sets the basis name.

Definition at line 134 of file base_vect.C.

References name.

## set_ori()

void Lorene::Base_vect_spher::set_ori | ( | double | xa0,
|  | double | ya0,
|  | double | za0 )

Sets a new origin.

Definition at line 175 of file base_vect_spher.C.

References ori_x, ori_y, and ori_z.

## set_rot_phi()

void Lorene::Base_vect_spher::set_rot_phi | ( | double | rot_phi_i | ) |

Sets a new value to the angle `rot_phi` between the x –axis and the absolute frame X –axis.

Definition at line 184 of file base_vect_spher.C.

References rot_phi.

## Friends And Related Symbol Documentation

## Base_vect::bvect_from_file

Base_vect * Base_vect::bvect_from_file | ( | FILE * |  | ) |

friend

The construction function from a file.

References Lorene::Base_vect::Base_vect(), and Base_vect_spher().

## Member Data Documentation

## name

char Lorene::Base_vect::name[100]

protected inherited

Name of the basis.

Definition at line 110 of file base_vect.h.

## ori_x

double Lorene::Base_vect_spher::ori_x

private

Absolute coordinate X of the origin.

Definition at line 313 of file base_vect.h.

## ori_y

double Lorene::Base_vect_spher::ori_y

private

Absolute coordinate Y of the origin.

Definition at line 314 of file base_vect.h.

## ori_z

double Lorene::Base_vect_spher::ori_z

private

Absolute coordinate Z of the origin.

Definition at line 315 of file base_vect.h.

## rot_phi

double Lorene::Base_vect_spher::rot_phi

private

Angle between the x –axis and the absolute frame X –axis.

Definition at line 318 of file base_vect.h.

The documentation for this class was generated from the following files:

- base_vect.h
- base_vect_from_file.C
- base_vect_spher.C